Transfer Beneficiary

Transfer the beneficiary designation to another party. Used when beneficiary rights need to be reassigned.

File Upload Format (Base64 Data URI)

For endpoints that accept file inputs, files must be submitted as a Base64-encoded Data URI string in the document field.

Format
data:<mimeType>;name=<filename>;base64,<base64EncodedContent>

Example
json
{ "document": "data:application/octet-stream;name=BL-0xd7.tt;base64,ewogICJAY29udGV4dCI6IFsKICAgICJodHRwcz..." }

Notes

  • Requires End User approval
  • Does not affect holder or owner roles

This API returns a URL with sessionId.
Use GET /auth/session-response?sessionId=<sessionId> to retrieve the session result.

Body Params
string
required

Identifier for the user's wallet, which will authorize the signing process for this transaction.

string

The blockchain address that will become the new beneficiary once the transaction is authorized. Only one of beneficiaryAddress or beneficiaryDomain should be provided.

string

The domain that will become the new beneficiary once the transaction is authorized. Only one of beneficiaryAddress or beneficiaryDomain should be provided.

string

Optional remarks or reference notes that will be formatted and recorded along with the transaction.

file
required

Signed document file from which the token identifier is extracted.

Headers
string

Unique key to ensure idempotency for API requests.

string

Unique external ID for tracking purposes, can be used for debugging and analytics.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json